<?php
/**
 * Template Name: List Blog Posts as JSON
 */

global $more;

// The Query.
include('functions.php');

ob_start();

// if not defined in query string show site default number of posts (or 10 if all else fails)
$post_per_page = get_option('posts_per_page', 10);
if (array_key_exists ("jo_show", $wp->query_vars)) {
	$post_per_page = get_query_var('jo_show');
}

// assume page one unless there is a query string defined tellign us otherwise
$page_to_show = 1;
if (array_key_exists ("jo_page", $wp->query_vars)) {
	$page_to_show = get_query_var('jo_page');
}

$args = array ('post_type'=>'post', 'posts_per_page'=>$post_per_page, 'post_status'=>'publish', 'paged'=>$page_to_show);

query_posts( $args );

$output = array();

// check if the excerpt exists
function get_link_excerpt()
{
	if(has_excerpt())
	{
		return strip_tags(get_the_excerpt());
	}

	return "";
}

// The Loop
while ( have_posts() ) : the_post();

	// tell to get full blog post
	$more = 1;

	$output[] = array
        (
            'id' => (int) get_the_ID(),
            'comments_enabled' => comments_open(),
            'permalink' => get_permalink(),
            'title' => get_the_title(),
			'author' => get_the_author(),
            'content' => stripArgumentFromTags(get_the_content()),
            'excerpt' => get_link_excerpt(),
            'text_only' => json_output_strip_html(get_the_content()),
            'date' => get_the_time(json_output_date_format()),
            'formatteddate' => get_post_time('D, d M Y H:i:s', true) . ' GMT',
            'categories' => json_output_categories(),
            'tags' => json_output_tags(),
            'number_of_comments' => get_comments_number(),
            'comments' => get_comments('post_id='.get_the_ID(), 'number=10')
        );
endwhile;

ob_end_clean();

header('Content-Type: application/json; charset=' . get_option('blog_charset'), true);

echo json_encode($output);


?>