<?php
/**
 * Template Name: Show Blog Posts as JSON
 */
include('functions.php');
// The Query.
if (array_key_exists ("jo_date", $wp->query_vars)) {
	$date_given = get_query_var('jo_date');
}else{
	return  new WP_Error('jo_no_post', __("You must specify a date to use this function"));
}

$args = array (
	'numberposts' 	=> -1,
	'posts_per_page'=> -1,
	'orderby'		=> 'post_date',
	'order'			=> 'ASC',
	'post_status'	=> 'publish'
);
// set $more to 0 in order to only get the first part of the post, 1 otherwise
global $more;
$more = 1;
query_posts( $args );
$output = array();
$num_of_posts = 0;
$last_date_checked = strtotime($date_given);
// The Loop
while ( have_posts() ) : the_post();

	// show date in yyyy-mm-dd hh:mm:ss format
	$date_posted = strtotime(get_post_time('Y-m-d H:i:s', true));


	if ($last_date_checked < $date_posted)
	{
		$num_of_posts++;
	}

endwhile;

$output[] = array
(
	'number_of_posts'		=> $num_of_posts
);

header('Content-Type: application/json; charset=' . get_option('blog_charset'), true);
echo json_encode($output);

?>