<?php
/**
 * Template Name: Show Blog Posts as JSON
 */
include('functions.php');

ob_start();

// The Query.
if (array_key_exists ("jo_post", $wp->query_vars)) {
	$post_to_show = get_query_var('jo_post');
}else{
	return  new WP_Error('jo_no_post', __("You must specify a post ID to use this function"));
}

$args = array ('p'=>$post_to_show, 'posts_per_page'=>1);

// set $more to 0 in order to only get the first part of the post, 1 otherwise
global $more;
$more = 1;

query_posts( $args );
$output = array();

// The Loop
while ( have_posts() ) : the_post();
	$output[] = array
        (
			'id' => (int) get_the_ID(),
            'permalink' => get_permalink(),
            'title' => get_the_title(),
			'author' => get_the_author(),
            'content' => stripArgumentFromTags(get_the_content()),
            'excerpt' => get_the_excerpt(),
            'text_only' => json_output_strip_html(get_the_content()),
			'date' => get_the_time(json_output_date_format()),
            'categories' => json_output_categories(),
            'tags' => json_output_tags(),
			'comments' => get_comments('post_id='.get_the_ID())
        );
endwhile;

ob_end_clean();

header('Content-Type: application/json; charset=' . get_option('blog_charset'), true);

echo json_encode($output);





?>