<?php
/**
 * Template Name: Show Blog Posts as JSON
 */
include('functions.php');

ob_start();

// The Query.
if (array_key_exists ("jo_show_comments", $wp->query_vars)) {
	$comments_to_show = get_query_var('jo_show_comments');
}else{
	return  new WP_Error('jo_no_post', __("You must specify a post ID to use this function"));
}

$page_to_show = 1;

if (array_key_exists ("jo_page", $wp->query_vars)) {
	$page_to_show = get_query_var('jo_page');
}

$comments_per_page = 0;

if (array_key_exists ("jo_comments_per_page", $wp->query_vars)) {
	$comments_per_page = get_query_var('jo_comments_per_page');
}

$args = array ('p'=>$comments_to_show, 'posts_per_page'=>1);
// set $more to 0 in order to only get the first part of the post, 1 otherwise

global $more;

$more = 1;

query_posts( $args );

$output = array();

$comments_array = array ('post_id'=>$comments_to_show, 'offset'=>$comments_offset, 'number'=>'100');

$comments = get_comments($comments_array);

$comments_with_avatar = array();

$comment_count = 0;

// loop through each comment
foreach($comments as $comment)
{
	// increase the comment count
	$comment_count++;
	$comment_author = $comment->user_id;

	$post = get_post($comments_to_show);

	$post_author = $post->post_author;

	if ($comment_author == $post_author)
		$post_comment_same_author = 1;
	else
		$post_comment_same_author = 0;

	// push a new comment to the $comments_with_avatar array
	array_push($comments_with_avatar,
		array(
			'comment_ID' 			=> $comment->comment_ID,
			'comment_post_ID' 		=> $comment->comment_post_ID,
			'comment_author' 		=> $comment->comment_author,
			'comment_author_email' 	=> $comment->comment_author_email,
			'comment_author_IP' 	=> $comment->comment_author_IP,
			'comment_date' 			=> $comment->comment_date,
			'comment_date_gmt' 		=> $comment->comment_date_gmt,
			'comment_content' 		=> $comment->comment_content,
			'comment_karma' 		=> $comment->comment_karma,
			'comment_approved' 		=> $comment->comment_approved,
			'comment_agent' 		=> $comment->comment_agent,
			'comment_type' 			=> $comment->comment_type,
			'comment_parent' 		=> $comment->comment_parent,
			'comment_author_url' 	=> $comment->comment_author_url,
			'user_id' 				=> $comment->user_id,
			'same_as_post_author'	=> $post_comment_same_author,
			'gravatar' 				=> stripslashes('http://www.gravatar.com/avatar/' . md5(strtolower(trim($comment->comment_author_email))) . '?s=50')
			)
	);


}

// just add the number of comments to an output array
$output[] = array
(
	'number_of_comments' => $comment_count,
	'comments' => $comments_with_avatar
);

ob_end_clean();

//.output the JSON
header('Content-Type: application/json; charset=' . get_option('blog_charset'), true);
echo json_encode($output);

?>